Bug 44802 - Installer does not display error on cpio MD5 sum mismatch (rpm exceptions not caught)
Summary: Installer does not display error on cpio MD5 sum mismatch (rpm exceptions not...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-17 01:23 UTC by Geoff Keating
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-21 16:41:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/install.log after the install. (20.10 KB, text/plain)
2001-06-17 01:24 UTC, Geoff Keating
no flags Details

Description Geoff Keating 2001-06-17 01:23:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
When I installed "everything" on a machine which I later found to have bad
RAM, I later found that not all packages were installed.  In
/tmp/install.log, I got:
unpacking of archive failed on file
/usr/src/linux-2.4.2/fs/nls/nls_cp932.c: cpio: MD5 sum mismatch
but I didn't see this until after the system was mis-installed.

How reproducible:
Didn't try

Steps to Reproduce:
See 'description'.

Actual Results:  Messages of the form:
Installing vorbis-devel.
Installing Xaw3d-devel.
Installing XFree86-devel.
unpacking of archive failed on file /usr/X11R6/lib/libX11.a: cpio: MD5 sum
misma
tch

Installing gtk+-devel.

in install.log.

Expected Results:  A graphical notification by anaconda that not all
requested packages were successfully installed.

Additional info:

Comment 1 Geoff Keating 2001-06-17 01:24:36 UTC
Created attachment 21204 [details]
/tmp/install.log after the install.

Comment 2 Brent Fox 2001-08-13 18:19:45 UTC
Deferring to a future release.

Comment 3 Jeremy Katz 2002-03-20 17:56:03 UTC
Notification added

Comment 4 Jeremy Katz 2002-04-10 04:40:16 UTC
Verified


Note You need to log in before you can comment on or make changes to this bug.